## helm repo add

add a chart repository

### Synopsis


add a chart repository

```
helm repo add [flags] [NAME] [URL]
```

### Options

```
      --ca-file string     verify certificates of HTTPS-enabled servers using this CA bundle
      --cert-file string   identify HTTPS client using this SSL certificate file
      --key-file string    identify HTTPS client using this SSL key file
      --no-update          raise error if repo is already registered
      --password string    chart repository password
      --username string    chart repository username
```

### Options inherited from parent commands

```
      --debug                           enable verbose output
      --home string                     location of your Helm config. Overrides $HELM_HOME (default "~/.helm")
      --host string                     address of Tiller. Overrides $HELM_HOST
      --kube-context string             name of the kubeconfig context to use
      --tiller-connection-timeout int   the duration (in seconds) Helm will wait to establish a connection to tiller (default 300)
      --tiller-namespace string         namespace of Tiller (default "kube-system")
```

### SEE ALSO
* [helm repo](helm_repo.md)	 - add, list, remove, update, and index chart repositories

###### Auto generated by spf13/cobra on 8-Mar-2018
